
// Persistence of Vision Ray Tracer Scene Description File
// File: .pov
// Vers: 3
// Desc: INC file for 13geng.pov
// Date: Feb 98
// Auth: Nathan O'Brien
// Mail: no13@ozemail.com.au
// Webp: http://www.ozemail.com.au/~no13

#declare Wall_cut_1 =
union {
	box {<-4,0,-20><4,8,0>}
	cylinder {<0,8,-20><0,8,0>,4}
}

#declare Wall_cut_2 =
union {
	box {<-4,0,-20><4,12,20>}
	cylinder {<0,12,-20><0,12,20>,4}
}

#declare Wall_cut_3 =
union {
	box {<-4,0,-20><4,16,20>}
	cylinder {<0,16,-20><0,16,20>,4}
}

#declare Wall_cut_4 =
union {
	box {<-4,0,-20><4,20,20>}
	cylinder {<0,20,-20><0,20,20>,4}
}

#declare Wall_cut_5 =
union {
	object {Wall_cut_1 translate <-49,0,0>}
	object {Wall_cut_1 translate <-33,0,0>}
	object {Wall_cut_1 translate <-16,0,0>}
	object {Wall_cut_1}
	object {Wall_cut_1 translate <16,0,0>}
	object {Wall_cut_1 translate <33,0,0>}
	object {Wall_cut_1 translate <49,0,0>}

	object {Wall_cut_2 translate <-49,16,0>}
	object {Wall_cut_2 translate <-33,16,0>}
	object {Wall_cut_2 translate <-16,16,0>}
	object {Wall_cut_2 translate <0,16,0>}
	object {Wall_cut_2 translate <16,16,0>}
	object {Wall_cut_2 translate <33,16,0>}
	object {Wall_cut_2 translate <49,16,0>}

	object {Wall_cut_2 translate <-33,36,0>}
	object {Wall_cut_3 translate <-16,36,0>}
	object {Wall_cut_4 translate <0,36,0>}
	object {Wall_cut_3 translate <16,36,0>}
	object {Wall_cut_2 translate <33,36,0>}
}

#declare S_Wall_p1 =
difference {
		cylinder {<0,108,71><0,108,74>,65}
		box {<-200,0,-200><200,108,200>}

		object {Wall_cut_5 translate <0,108,72>}
}

#include "render.inc"

#declare S_Wall_p2 =
difference {
		cylinder {<0,108,70.8><0,108,71>,65}
		box {<-200,0,-200><200,108,200>}

		object {Render scale 20 translate <0,108,71>}
		object {Wall_cut_5 translate <0,108,72>}
}

#declare S_Wall_p2a =
difference {
		cylinder {<0,108,70.8><0,108,71>,65}
		box {<-200,0,-200><200,108,200>}

		object {Render scale 25 rotate <0,0,13> translate <0,120,71>}
		object {Wall_cut_5 translate <0,108,72>}
}

#declare S_wall1 =
union {
	object {S_Wall_p1 texture{Column_stone}}
	object {S_Wall_p2 texture{T_Render}}

	object {Column2_group translate <-49.25,0,76.1> texture{T_Column1}}
	object {Column1_group translate <-29.55,0,76.1> texture{T_Column1}}
	object {Column1_group translate <-9.85,0,76.1> texture{T_Column1}}
	object {Column1_group translate <-9.85,0,97.1> texture{T_Column1}}

	object {Column2_group translate <49.25,0,76.1> texture{T_Column1}}
	object {Column1_group translate <29.55,0,76.1> texture{T_Column1}}
	object {Column1_group translate <9.85,0,76.1> texture{T_Column1}}
	object {Column1_group translate <9.85,0,97.1> texture{T_Column1}}

	object {Column4_group translate <-47.95,65,74.1> texture{T_Column1}}
	object {Column3_group translate <-34.25,65,74.1> texture{T_Column1}}
	object {Column3_group translate <-20.55,65,74.1> texture{T_Column1}}
	object {Column3_group translate <-6.85,65,74.1> texture{T_Column1}}
	object {Column3_group translate <-6.85,65,95.1> texture{T_Column1}}

	object {Column4_group translate <47.95,65,74.1> texture{T_Column1}}
	object {Column3_group translate <34.25,65,74.1> texture{T_Column1}}
	object {Column3_group translate <20.55,65,74.1> texture{T_Column1}}
	object {Column3_group translate <6.85,65,74.1> texture{T_Column1}}
	object {Column3_group translate <6.85,65,95.1> texture{T_Column1}}

	object {Side_entab translate <0,60,71>}
	object {Side_entab translate <0,103,71>}
	
	object {Lamp1 translate <0,79,74.1>}
	object {Lamp1 translate <13.7,79,74.1>}
	object {Lamp1 translate <27.4,79,74.1>}
	object {Lamp1 translate <41.1,79,74.1>}
	object {Lamp1 translate <-13.7,79,74.1>}
	object {Lamp1 translate <-27.4,79,74.1>}
	object {Lamp1 translate <-41.1,79,74.1>}
	
	object {Lamp1 translate <0,16.6,76.1>}
	object {Lamp1 translate <19.7,16.6,76.1>}
	object {Lamp1 translate <39.4,16.6,76.1>}
	object {Lamp1 translate <-19.7,16.6,76.1>}
	object {Lamp1 translate <-39.4,16.6,76.1>}
	
}


#declare S_wall2 =
union {
	object {S_Wall_p1 scale <1,1,-1> texture{Column_stone}}
	object {S_Wall_p2a scale <1,1,-1> texture{T_Render}}

	object {Column2_group translate <-49.25,0,-76.1> texture{T_Column1}}
	object {Column1_group translate <-29.55,0,-76.1> texture{T_Column1}}
	object {Column1_group translate <-9.85,0,-76.1> texture{T_Column1}}
	object {Column1_group translate <-9.85,0,-97.1> texture{T_Column1}}

	object {Column2_group translate <49.25,0,-76.1> texture{T_Column1}}
	object {Column1_group translate <29.55,0,-76.1> texture{T_Column1}}
	object {Column1_group translate <9.85,0,-76.1> texture{T_Column1}}
	object {Column1_group translate <9.85,0,-97.1> texture{T_Column1}}

	object {Column4_group translate <-47.95,65,-74.1> texture{T_Column1}}
	object {Column3_group translate <-34.25,65,-74.1> texture{T_Column1}}
	object {Column3_group translate <-20.55,65,-74.1> texture{T_Column1}}
	object {Column3_group translate <-6.85,65,-74.1> texture{T_Column1}}
	object {Column3_group translate <-6.85,65,-95.1> texture{T_Column1}}

	object {Column4_group translate <47.95,65,-74.1> texture{T_Column1}}
	object {Column3_group translate <34.25,65,-74.1> texture{T_Column1}}
	object {Column3_group translate <20.55,65,-74.1> texture{T_Column1}}
	object {Column3_group translate <6.85,65,-74.1> texture{T_Column1}}
	object {Column3_group translate <6.85,65,-95.1> texture{T_Column1}}

	object {Side_entab translate <0,60,71> scale <1,1,-1>}
	object {Side_entab translate <0,103,71> scale <1,1,-1>}
	
	object {Lamp1 translate <0,79,-74.1>}
	object {Lamp1 translate <13.7,79,-74.1>}
	object {Lamp1 translate <27.4,79,-74.1>}
	object {Lamp1 translate <41.1,79,-74.1>}
	object {Lamp1 translate <-13.7,79,-74.1>}
	object {Lamp1 translate <-27.4,79,-74.1>}
	object {Lamp1 translate <-41.1,79,-74.1>}
	
	object {Lamp1 translate <0,16.6,-76.1>}
	object {Lamp1 translate <19.7,16.6,-76.1>}
	object {Lamp1 translate <39.4,16.6,-76.1>}
	object {Lamp1 translate <-19.7,16.6,-76.1>}
	object {Lamp1 translate <-39.4,16.6,-76.1>}
}
